Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class Notification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AttributeChangeNotification, MBeanServerNotification, MonitorNotification, RelationNotification, TimerAlarmClockNotification, TimerNotification

public class Notification
extends EventObject

A Notification.

Revisions:

20020329 Adrian Brock:

- Make the source serializable

20020710 Adrian Brock:

- Serialization

Version:
  $Revision: 1.7 $
Author:
  Adrian Brock.
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`Notification(String type, Object source, long sequenceNumber)` Create a new notification
`Notification(String type, Object source, long sequenceNumber, long timeStamp)` Create a new notification
`Notification(String type, Object source, long sequenceNumber, long timeStamp, String message)` Create a new notification
`Notification(String type, Object source, long sequenceNumber, String message)` Create a new notification

Method Summary
`String` | `getMessage()` Retrieve the message of the notification
`long` | `getSequenceNumber()` Retrieve the sequence number of the notification
`Object` | `getSource()` Retrieve the source of the notification
`long` | `getTimeStamp()` Retrieve the time of the notification
`String` | `getType()` Retrieve the type of the notification
`Object` | `getUserData()` Retrieve the user data of the notification
`void` | `setSequenceNumber(long sequenceNumber)` Set the sequence number of the notifiction
`void` | `setSource(Object source)` Set the source of the notification
`void` | `setTimeStamp(long timeStamp)` Set the time of the notifiction
`void` | `setUserData(Object userData)` Set the user data of the notifiction
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Notification

    public Notification(String type,
                        Object source,
                        long sequenceNumber)

  Create a new notification

Parameters:
  `type` - the type of the notification
  `source` - the source of the notification
  `sequenceNumber` - the sequence number of the notification

### Notification

    public Notification(String type,
                        Object source,
                        long sequenceNumber,
                        String message)

  Create a new notification

Parameters:
  `type` - the type of the notification
  `source` - the source of the notification
  `sequenceNumber` - the sequence number of the notification
  `message` - the message of the notification

### Notification

    public Notification(String type,
                        Object source,
                        long sequenceNumber,
                        long timeStamp)

  Create a new notification

Parameters:
  `type` - the type of the notification
  `source` - the source of the notification
  `sequenceNumber` - the sequence number of the notification
  `timeStamp` - the time of the notification

### Notification

    public Notification(String type,
                        Object source,
                        long sequenceNumber,
                        long timeStamp,
                        String message)

  Create a new notification

Parameters:
  `type` - the type of the notification
  `source` - the source of the notification
  `sequenceNumber` - the sequence number of the notification
  `timeStamp` - the time of the notification
  `message` - the message of the notification

Method Detail

### getSource

    public Object getSource()

  Retrieve the source of the notification

  Returns:
    the source

### setSource

    public void setSource(Object source)

  Set the source of the notification

  The source must be either a object name or a string that can be used to create a valid object name.

  Parameters:
    `source` - the new source
  Throws:
    `IllegalArgumentException` - when the object name is invalid

### getSequenceNumber

    public long getSequenceNumber()

  Retrieve the sequence number of the notification

  Returns:
    the sequence number

### setSequenceNumber

    public void setSequenceNumber(long sequenceNumber)

  Set the sequence number of the notifiction

  Parameters:
    `sequenceNumber` - the new sequence number

### getType

    public String getType()

  Retrieve the type of the notification

  Returns:
    the type

### getTimeStamp

    public long getTimeStamp()

  Retrieve the time of the notification

  Returns:
    the time

### setTimeStamp

    public void setTimeStamp(long timeStamp)

  Set the time of the notifiction

  Parameters:
    `timeStamp` - the new time

### getMessage

    public String getMessage()

  Retrieve the message of the notification

  Returns:
    the message

### getUserData

    public Object getUserData()

  Retrieve the user data of the notification

  Returns:
    the user data

### setUserData

    public void setUserData(Object userData)

  Set the user data of the notifiction

  Parameters:
    `userData` - the new user data

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.